Package com.smartgwt.logicalstructure.widgets

# Class BatchUploaderLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VStackLogicalStructure
com.smartgwt.logicalstructure.widgets.BatchUploaderLogicalStructure

public class BatchUploaderLogicalStructure extends VStackLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `allRecordsInErrorMessage`
  `String`
  `autoInterpretBooleans`
  `String`
  `cancelButtonTitle`
  `String`
  `cancelConfirmMessage`
  `String`
  `commitButtonTitle`
  `String`
  `commitConfirmationMessage`
  `String`
  `dataFormat`
  `String`
  `dataURL`
  `String`
  `defaultDelimiter`
  `String`
  `defaultQuoteString`
  `String`
  `discardedColumnsMessage`
  `String`
  `displayDiscardedColumns`
  `String`
  `errorMessageDelimiterOrEndOfLine`
  `String`
  `errorMessageExcelFileDetected`
  `String`
  `errorMessageFileIsBlank`
  `String`
  `errorMessageInputType`
  `String`
  `errorMessageRowsNotParsed`
  `String`
  `errorMessageUndeterminedDelimiter`
  `String`
  `errorMessageUnterminatedQuote`
  `ListGridField[]`
  `gridFields`
  `String`
  `nextButtonTitle`
  `String`
  `partialCommit`
  `String`
  `partialCommitConfirmationMessage`
  `String`
  `partialCommitError`
  `String`
  `partialCommitPrompt`
  `String`
  `previousButtonTitle`
  `DSRequest`
  `requestProperties`
  `String`
  `showCommitConfirmation`
  `String`
  `showUploadForm`
  `String`
  `updatesRolledBackMessage`
  `String`
  `uploadButtonTitle`
  `DataSource`
  `uploadDataSource`
  `String`
  `uploadDelimiter`
  `String`
  `uploadEncoding`
  `String`
  `uploadFieldPrefix`
  `String`
  `uploadFileLabel`
  `String`
  `uploadOperation`
  `String`
  `uploadQuoteString`
  `String`
  `warnOnCancel`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, editProxyConstructor, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchUploaderLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allRecordsInErrorMessage

    public String allRecordsInErrorMessage

  - ### autoInterpretBooleans

    public String autoInterpretBooleans

  - ### cancelButtonTitle

    public String cancelButtonTitle

  - ### cancelConfirmMessage

    public String cancelConfirmMessage

  - ### commitButtonTitle

    public String commitButtonTitle

  - ### commitConfirmationMessage

    public String commitConfirmationMessage

  - ### dataFormat

    public String dataFormat

  - ### dataURL

    public String dataURL

  - ### defaultDelimiter

    public String defaultDelimiter

  - ### defaultQuoteString

    public String defaultQuoteString

  - ### discardedColumnsMessage

    public String discardedColumnsMessage

  - ### displayDiscardedColumns

    public String displayDiscardedColumns

  - ### errorMessageDelimiterOrEndOfLine

    public String errorMessageDelimiterOrEndOfLine

  - ### errorMessageExcelFileDetected

    public String errorMessageExcelFileDetected

  - ### errorMessageFileIsBlank

    public String errorMessageFileIsBlank

  - ### errorMessageInputType

    public String errorMessageInputType

  - ### errorMessageRowsNotParsed

    public String errorMessageRowsNotParsed

  - ### errorMessageUndeterminedDelimiter

    public String errorMessageUndeterminedDelimiter

  - ### errorMessageUnterminatedQuote

    public String errorMessageUnterminatedQuote

  - ### gridFields

    public ListGridField[] gridFields

  - ### nextButtonTitle

    public String nextButtonTitle

  - ### partialCommit

    public String partialCommit

  - ### partialCommitConfirmationMessage

    public String partialCommitConfirmationMessage

  - ### partialCommitError

    public String partialCommitError

  - ### partialCommitPrompt

    public String partialCommitPrompt

  - ### previousButtonTitle

    public String previousButtonTitle

  - ### requestProperties

    public DSRequest requestProperties

  - ### showCommitConfirmation

    public String showCommitConfirmation

  - ### showUploadForm

    public String showUploadForm

  - ### updatesRolledBackMessage

    public String updatesRolledBackMessage

  - ### uploadButtonTitle

    public String uploadButtonTitle

  - ### uploadDataSource

    public DataSource uploadDataSource

  - ### uploadDelimiter

    public String uploadDelimiter

  - ### uploadEncoding

    public String uploadEncoding

  - ### uploadFieldPrefix

    public String uploadFieldPrefix

  - ### uploadFileLabel

    public String uploadFileLabel

  - ### uploadOperation

    public String uploadOperation

  - ### uploadQuoteString

    public String uploadQuoteString

  - ### warnOnCancel

    public String warnOnCancel

- ## Constructor Details

  - ### BatchUploaderLogicalStructure

    public BatchUploaderLogicalStructure()